export declare abstract class Feature<TOptions = any> {
    private name;
    private active;
    constructor(name: string);
    getName(): string;
    isActive(): boolean;
    load(options?: TOptions): void;
    unLoad(): void;
    protected onLoad(options?: TOptions): void;
    protected onUnLoad(): void;
}
